cURL
curl --request POST \
--url https://htmldocs.com/api/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"html": "<string>",
"url": "<string>",
"format": "pdf",
"size": "<string>"
}
'import requests
url = "https://htmldocs.com/api/generate"
payload = {
"html": "<string>",
"url": "<string>",
"format": "pdf",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({html: '<string>', url: '<string>', format: 'pdf', size: '<string>'})
};
fetch('https://htmldocs.com/api/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Documentation
Generate from HTML
Generates a PDF document from raw HTML content and/or a URL. If both are provided, the HTML content will be injected into the page at the specified URL.
POST
/
api
/
generate
cURL
This endpoint allows you to generate a PDF document directly from HTML content, without needing to publish a template first.
For generating documents from published templates, see the Generate Document endpoint instead.
Authorizations
API key for authentication. Use format: Bearer
Body
application/json
- Option 1
- Option 2
HTML content to convert to PDF or inject into the page at the specified URL
URL of the webpage to convert to PDF or use as a base for HTML injection
Response format. pdf returns a binary PDF file, base64 returns the PDF encoded as base64 in JSON, json returns a URL to download the PDF. Defaults to pdf
Available options:
pdf, base64, json Page size (A3, A4, A5, letter, legal, or custom size like '8.5in 11in')
Available options:
portrait, landscape Response
Generated document in requested format
Binary PDF file (when format=pdf)